# PCMGSetGalerkin

Causes the coarser grid matrices to be computed from the finest grid via the Galerkin process: A_i-1 = r_i * A_i * r_i^t

### Synopsis

    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetGalerkin(PC pc)

Collective on PC

### Input Parameters

pc -the multigrid context

### Options Database Key

     -pc_mg_galerkin

### Keywords

MG, set, Galerkin

### See Also

PCMGGetGalerkin()

Level:intermediate
Location: src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages